<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon" version="1.1"> 

<xsl:template match="/">
  <index>
    <xsl:apply-templates/>
  </index>
</xsl:template>

<xsl:template match="*">
  
  <xsl:if test="generate-id(.) = generate-id(ancestor::file//*[name() = name(current())])">
    <xsl:text>
    </xsl:text>
    <element  xslt="{ancestor::file/@id}" name="{local-name()}">
      <xsl:apply-templates select="ancestor::file//*[name() = name(current())]/@*"/>
    </element>
  </xsl:if>
  <xsl:apply-templates/>

</xsl:template>

<xsl:template match="@*">
  <attribute name="{name()}"/>
</xsl:template>

<xsl:template match="text()"/>
</xsl:stylesheet>





