#!/usr/bin/python
import re,string,os,shutil,myFunct,sys


def printFrame(name,example):
    "example is tuple (xslt,xml), name is name of the proccessed operation"
    xml=str(int(example[1]))
    xslt=str(int(example[0]))
    out=open("../OutputOverview/"+name+"_frame.html","w")
    out.write("<frameset rows='40,*'>")
    out.write("<frame name='list' src='"+name+"_list.html'>")
    out.write("<frame name='example' src='../OutputExamples/example_"+xml+"_"+xslt+"_frame.html'>")
    out.write("</frameset>")
    out.close()

def printList(name,lst):
    out=open("../OutputOverview/"+name+"_list.html","w")
    out.write("<html><head><link rel='stylesheet' type='text/css' href='../CSS/style.css'><title>Example overview</title></head><body><div>")
    
    for item in lst:
        xml=str(int(item[1]))
        xslt=str(int(item[0]))
        out.write(" <a target='example' href='../OutputExamples/example_"+xml+"_"+xslt+"_frame.html'>")
        out.write(xslt+":"+xml+"</a>")
    out.write("</div></body></html>")
    out.close()

def createOverview(data,file):
    hit=re.compile("<\!--AllStart-->(.*?)<\!--AllEnd-->",re.S).search(data)
    if not(hit): return
    text=hit.group(1)
    lst=re.compile("<\!--(\d+)(\d{4})-->").findall(text)
    if lst==[] : return

    printFrame(file,lst[0])
    printList(file,lst)
    
def processfiles():
    files = os.listdir("../Output")
    for f in files:
        if not(re.compile("\.html\Z").search(f)):
               continue
        input=open("../Output/"+f)
        data=input.read()
        input.close
        out = re.compile("(.*?)\.html").match(f).group(1)
        createOverview(data,out)

#######################################
processfiles()
os.system("python cleanAll.py")






